Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1627257

Summary: Switch python-fedbadges to Python 3 only or retire the package
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-fedbadgesAssignee: Miro Hrončok <mhroncok>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: cstratak, igor.raits, infra-sig, kevin, mhroncok, ngompa13, pviktori, rbean, sayan.chowdhury2012, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-04 20:35:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1322027, 1625773    

Description Miro Hrončok 2018-09-10 14:07:01 UTC
In line with the Mass Python 2 Package Removal [0], all (sub)packages of python-fedbadges were marked for removal:

 * python2-fedbadges

According to our query, those packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please retire your package in Rawhide (Fedora 30).

If there is no objection in a week, we will retire the package for you.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2018-09-17 09:21:54 UTC
Isn't this somehow deployed in infra?

Comment 2 Kevin Fenzi 2018-09-19 17:17:32 UTC
Yes, it is, but deployed on rhel7, not fedora. 

Also, the plan is to move away from this and use a coreos app to do this uploading that is much nicer. ;) 

So, I think we can retire this ok in fedora... 

Sayan: Do chime in here if I missed anything...

Comment 3 Kevin Fenzi 2018-09-19 17:18:47 UTC
Oops. Wrong bug there, but mostly everything was right. ;) 

We are using badges, it's deployed on rhel7. We don't plan to replace it, but it does need porting to python3 and sayan is the app owner.

Comment 4 Miro Hrončok 2018-09-20 19:40:26 UTC
Is this a got to remove it from Fedora 30, or is it reasonable to expect it being ported any time soon?

Comment 5 Kevin Fenzi 2018-10-10 04:37:12 UTC
Adding Sayan for comment...

Comment 6 Miro Hrončok 2019-01-01 13:30:46 UTC
Sayan? Should this be retired or is it reasonable to expect it being ported any time soon?

Comment 7 Sayan Chowdhury 2019-01-03 10:37:35 UTC
Hmm, I don't have plans right now to port the package anytime soon. I've been updating the epel7 branch. But, give me end of this week and I'll go through the badges stack and see how much work is needed to port it to Python 3. If it's not much work then I'll spend a week and do it.

Comment 8 Sayan Chowdhury 2019-01-10 22:39:42 UTC
I've been working on the Fedora Badges porting this week. Hopefully, I will be able to release the Python 3 package next week.

Comment 9 Miro Hrončok 2019-01-10 22:54:50 UTC
Great news!

Comment 10 Miro Hrončok 2019-02-02 21:11:43 UTC
Based on the discussion upstream, we should retire this from Fedora.

https://github.com/fedora-infra/fedbadges/pull/64#discussion_r253278641

Comment 11 Miro Hrončok 2019-02-26 12:05:27 UTC
Please switch this to Python 3 before the beta freeze (2019-03-05) or I'll retire it.

Comment 12 Miro Hrončok 2019-03-04 15:37:52 UTC
I'm going to retire python-fedbadges today.

Comment 13 Miro Hrončok 2019-03-04 20:35:59 UTC
Retired. Feel free to unretire with python3, I'll gladly do the review.